### Method

# Gimp RGB set_pixel

#### Declaration [src]

    void
    gimp_rgb_set_pixel (
      GimpRGB* rgb,
      const Babl* format,
      gconstpointer pixel
    )

#### Description [src]

Sets the red, green and blue components of `rgb` from the color stored in `pixel`. The pixel format of `pixel` is determined by `format`.

Available since: | 2.10

#### Parameters

`format` | `Babl`
| A Babl format.
| The data is owned by the caller of the function.
`pixel` | `gconstpointer`
| Pointer to the source pixel.
| The argument can be `NULL`.
| The data is owned by the caller of the function.